Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache
Interface Cache

All Known Subinterfaces:
  OptimisticCache

All Known Implementing Classes:
  EhCache, HashtableCache, OSCache, SwarmCache

Deprecated. As of 3.3; see for details.

    public interface Cache

Implementors define a caching algorithm. All implementors must be threadsafe.

Method Summary
`void` | `clear()` Deprecated. Clear the cache
`void` | `destroy()` Deprecated. Clean up
`Object` | `get(Object key)` Deprecated. Get an item from the cache, nontransactionally
`long` | `getElementCountInMemory()` Deprecated. The count of entries currently contained in the regions in-memory store.
`long` | `getElementCountOnDisk()` Deprecated. The count of entries currently contained in the regions disk store.
`String` | `getRegionName()` Deprecated. Get the name of the cache region
`long` | `getSizeInMemory()` Deprecated. The number of bytes is this cache region currently consuming in memory.
`int` | `getTimeout()` Deprecated. Get a reasonable "lock timeout"
`void` | `lock(Object key)` Deprecated. If this is a clustered cache, lock the item
`long` | `nextTimestamp()` Deprecated. Generate a timestamp
`void` | `put(Object key, Object value)` Deprecated. Add an item to the cache, nontransactionally, with failfast semantics
`Object` | `read(Object key)` Deprecated. Get an item from the cache
`void` | `remove(Object key)` Deprecated. Remove an item from the cache
`Map` | `toMap()` Deprecated. optional operation
`void` | `unlock(Object key)` Deprecated. If this is a clustered cache, unlock the item
`void` | `update(Object key, Object value)` Deprecated. Add an item to the cache

Method Detail

### read

    Object read(Object key)
                throws CacheException

  Deprecated.
  Get an item from the cache

  Parameters:
    `key` -
  Returns:
    the cached object or `null`
  Throws:
    `CacheException`

### get

    Object get(Object key)
               throws CacheException

  Deprecated.
  Get an item from the cache, nontransactionally

  Parameters:
    `key` -
  Returns:
    the cached object or `null`
  Throws:
    `CacheException`

### put

    void put(Object key,
             Object value)
             throws CacheException

  Deprecated.
  Add an item to the cache, nontransactionally, with failfast semantics

  Parameters:
    `key` -
    `value` -
  Throws:
    `CacheException`

### update

    void update(Object key,
                Object value)
                throws CacheException

  Deprecated.
  Add an item to the cache

  Parameters:
    `key` -
    `value` -
  Throws:
    `CacheException`

### remove

    void remove(Object key)
                throws CacheException

  Deprecated.
  Remove an item from the cache

  Throws:
    `CacheException`

### clear

    void clear()
               throws CacheException

  Deprecated.
  Clear the cache

  Throws:
    `CacheException`

### destroy

    void destroy()
                 throws CacheException

  Deprecated.
  Clean up

  Throws:
    `CacheException`

### lock

    void lock(Object key)
              throws CacheException

  Deprecated.
  If this is a clustered cache, lock the item

  Throws:
    `CacheException`

### unlock

    void unlock(Object key)
                throws CacheException

  Deprecated.
  If this is a clustered cache, unlock the item

  Throws:
    `CacheException`

### nextTimestamp

    long nextTimestamp()

  Deprecated.
  Generate a timestamp

### getTimeout

    int getTimeout()

  Deprecated.
  Get a reasonable "lock timeout"

### getRegionName

    String getRegionName()

  Deprecated.
  Get the name of the cache region

### getSizeInMemory

    long getSizeInMemory()

  Deprecated.
  The number of bytes is this cache region currently consuming in memory.

  Returns:
    The number of bytes consumed by this region; -1 if unknown or unsupported.

### getElementCountInMemory

    long getElementCountInMemory()

  Deprecated.
  The count of entries currently contained in the regions in-memory store.

  Returns:
    The count of entries in memory; -1 if unknown or unsupported.

### getElementCountOnDisk

    long getElementCountOnDisk()

  Deprecated.
  The count of entries currently contained in the regions disk store.

  Returns:
    The count of entries on disk; -1 if unknown or unsupported.

### toMap

    Map toMap()

  Deprecated.
  optional operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.